version: '3'

services:
  mysql:
    build:
      context: ./docker/mysql
      args:
        mysql_version: ${MYSQL_VERSION}
    container_name: ${COMPOSE_PROJECT_NAME}-mysql
    environment:
      MYSQL_DATABASE: ${MYSQL_DATABASE}
      MYSQL_USER: ${MYSQL_USER}
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_ROOT_PASSWORD: ${MYSQL_PASSWORD}
    ports:
      - "${MYSQL_PORT}:3306"
    volumes:
      - ~/docker/mysql:/var/lib/mysql
    restart: always

  php:
    build:
      context: ./docker/php
      args:
        php_version: ${PHP_VERSION}
    container_name: ${COMPOSE_PROJECT_NAME}-php
    ports:
      - "${PHP_PORT}:80"
    environment:
      XDEBUG_MODE: develop,debug
      PHP_ENABLE_XDEBUG: 1
      XDEBUG_CONFIG: client_host=host.docker.internal
    extra_hosts:
      - 'host.docker.internal:host-gateway'
    volumes:
      - ./:/var/www/html
      - ~/.ssh/:/root/.ssh:delegated
      - ~/docker/composer-docker/cache:/root/.composer/cache:delegated
    links:
      - mysql

  myadmin:
    image: 'phpmyadmin:latest'
    ports:
      - 8080:80
    environment:
      MYSQL_ROOT_PASSWORD: 'root'
      UPLOAD_LIMIT: 300M
    links:
      - mysql:db
    depends_on:
      - mysql
